"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const treeToRenderAdapter_1 = require("./treeToRenderAdapter");
const simple_tree_1 = require("../mock-data/simple-tree");
describe('given a real example general tree', () => {
    it('converts it to render data', () => {
        const { newResult } = treeToRenderAdapter_1.generateRenderTree(simple_tree_1.simpleTree);
        expect(newResult).toMatchSnapshot();
    });
});
describe('given a bigger example', () => {
    it('converts it to render data', () => {
        const { newResult } = treeToRenderAdapter_1.generateRenderTree(simple_tree_1.tinyTree);
        expect(newResult).toMatchSnapshot();
    });
});
describe('given a bigger example', () => {
    it('converts it to render data with collapsed children', () => {
        const { newResult } = treeToRenderAdapter_1.generateRenderTree(simple_tree_1.tinyTree, ['4']);
        expect(newResult).toMatchSnapshot();
    });
});
//# sourceMappingURL=focusTreeAdapter.spec.js.map